package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.PageInfo;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.pojo.vo.disable.SrvModeVo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 护理机构表
 */
@Data
@TableName("CH_SRV_ORGAN_APPLY")
@KeySequence("SEQ_CH_SRV_ORGAN")
public class ChSrvOrganApply extends PageInfo implements Serializable {
    @TableId(type = IdType.INPUT)
    private Integer srvOrganId;
    private String acptRoadDetail;
    private String acptLongitude;
    private String unifiedSocialCreditCode;
    private String accName;
    private String bankNo;
    private Integer status;
    private java.util.Date endTime;
    private Integer acptRoadType;
    private String acptProvincial;
    private Integer webDefineEmp;
    private Integer levelCode;
    private String acptCity;
    private Integer acptNumberType;
    private Integer defineEmp;
    private String checkRemarkCh;
    private String adressDetail;
    private java.util.Date fcd;
    private Integer checkStatusCh;
    private java.util.Date lcd;
    private String acptNumberDetail;
    private Integer dataFrom;
    private String organId;
    private String districtCity;
    private Integer endEmp;
    private Integer organTypeId;
    private String linkName;
    private String bankDistrictCity;
    private Integer fcu;
    private String bankAccCode;
    private String bankDistrictProvincial;
    private String srvOrganCode;
    private Integer lcu;
    private String checkRemarkLp;
    private String districtProvincial;
    private String checkNameLp;
    private Integer cardType;
    private Integer checkStatusLp;
    private Integer bunk;
    private String medicareNumber;
    private String bankAccName;
    private String linkTel;
    private Integer webEndEmp;
    private String districtArea;
    private String linkMail;
    private String permitId;
    private String acptStreet;
    private Integer cfgModeId;
    private String remark;
    private String bankDistrictWebsite;
    private String srvOrganName;
    private java.util.Date checkTimeLp;
    private String acptAddress;
    private String checkNameCh;
    private String acptLatitude;
    private String acptArea;
    private java.util.Date checkTimeCh;
    private java.util.Date effTime;

    /**
     * 提供的服务方式(服务方式id集合，英文逗号分割)
     */
    private String srvType;


    /**
     * 审核状态（0-未审核,1-审核中,2-审核通过,3-审核不通过）
     */
    private Short   auditStatus;

    /**
     * 审核人id
     */
    private Integer auditUserId;

    /**
     * 审核时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date auditDate;

    /**
     * 审核原因
     */
    private String auditReason;

}
